<!DOCTYPE html>
{% load static %}
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <link href= "{% static 'lab4_note_list.css'%}" rel="stylesheet" />
    <title>Notes Cards</title>
  </head>

  <nav class="navbar navbar-expand-lg navbar-light">
    <a class="navbar-brand" href="#"> <img src="https://www.pngrepo.com/download/58353/class-notes.png" width="30" height="30" class="d-inline-block align-top" alt="" loading="lazy"> Notes</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link" href="/lab-4/">Notes List</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="/lab-4/add-note">Add Note</a>
        </li>
        <li class="nav-item active">
          <a class="nav-link" href="/lab-4/note-list">Note Cards<span class="sr-only">(current)</span></a>
        </li>
      </ul>
    </div>
  </nav>

  <body>
    <h1>Notes Cards</h1>
    <hr>
    <div class="row row-cols-1 row-cols-md-4">      
      {% if notes %} 
        {% for a in notes %}
        <div class="col mb-4 zoom">
          <div class="card text-center">
          <div class="card-body" id="grow">
            <h5 class="card-title">To: {{ a.To }}</h5>
            <h5 class="card-title">From: {{ a.From }}</h5>
            <p class="card-title" id="title">Title: {{ a.Title }}</p>
            <p class="card-text">{{ a.Message }}</p>
          </div>
        </div>
      </div>
    {% endfor %}
  {% endif %}
  </div>  
  </body>
</html>
